<?php
	
	
	include "koneksi.php";
	//$id=mysqli_real_escape_string($conn,$_GET["id"]);
	
	//select ke data_suplier sesuai id untuk ambil nama_suplier\\\\
	//$a = "SELECT * FROM data_naik_gaji WHERE id=".$id;
	//$res = mysqli_query($conn, $a);
	
	//nyimpan hasil dari data bayar detail invoice\\
	
	$id_kode_suplier=$_POST["id_kode_suplier"];
	$no_invoice=$_POST["no_invoice"];
	$tanggal_invoice=$_POST["tanggal_invoice"];
	$jumlah=$_POST["jumlah"];
	$jumlah_pembayaran=$_POST["jumlah_pembayaran"];
	$tanggal_pembayaran = date('d / m / yy');
	
	echo  "id kode suplier  = ".$id_kode_suplier;
	echo "no invoice".$no_invoice;
	echo "tanggal invoice".$tanggal_invoice;
	echo "jumlah".$jumlah;
	echo "jumlah dibayar".$jumlah_pembayaran;
	
	//pengecekkan untuk user bayar lunas atau belum lunas\\
	
	if($jumlah == $jumlah_pembayaran)
	{   
        //lunas
		echo "lunas";
		$status_jumlah = 2;
	}
	else
	{
		echo "belum lunas";
		//belum lunas
		$status_jumlah = 1;
	}
	
	//while ($row = mysqli_fetch_assoc($res)) 
	//{
      //        $nik = $row["nik"];
		//	  $gaji_baru = $row["gaji_baru"];
			//  $tunjangan_jabatan_baru = $row["tunjangan_jabatan_baru"];
			  //$tunjangan_operasional_baru = $row["tunjangan_operasional_baru"];
			  //$tunjangan_komunikatif_baru = $row["tunjangan_komunikatif_baru"];
			  //$tunjangan_makan_baru = $row["tunjangan_makan_baru"];
			  //$tunjangan_transport_baru = $row["tunjangan_transport_baru"];
	//}
	
	
	
	$query = "UPDATE data_karyawan 
	      SET gaji='$gaji_baru', 
		      tunjangan_jabatan='$tunjangan_jabatan_baru',
              tunjangan_operasional='$tunjangan_operasional_baru',
              tunjangan_komunikatif='$tunjangan_komunikatif_baru',
              tunjangan_makan='$tunjangan_makan_baru',	
              tunjangan_transport='$tunjangan_transport_baru'			  
			  
	      WHERE nik=".$nik;
    $result = mysqli_query($conn, $query);	
	
    $q = "UPDATE data_naik_gaji SET status='2',tanggal_disetujui='$tanggal_disetujui' WHERE id=".$id;
	$result2 = mysqli_query($conn, $q);

	if($result & $result2)
	{
		
		//header("location:suratSkUsulanKenaikanGaji.php?p=1");
		echo "ini yg update db mutasi".$q;
	
		echo "ini update data karyawan".$query;
	}
	else
	{
		//header("location:tambahkaryawan.php?pesan=gagalInput");
		
		//header("location:suratSkUsulanNaikGaji.php?p=3");
	echo $query;
	}
	//echo "namanya : " . $nama;
	
	//$q="INSERT INTO kriteria (nama,id_kategori) VALUES ('$nama','$id')";
	//mysqli_query($conn,$q);
	//header("location:kriteria.php?p=1&id=".$id);
	
	//echo $q;
?>